# Swoole\Server::taskwait

(PHP 5 >= 5.2.0, PHP 7, PECL swoole >= 1.9.0)

Swoole\Server::taskwait — Send data to the task worker processes in blocking way.

### Description

public Swoole\Server::taskwait ( string `$data` [, float `$timeout` [, integer `$worker_id` ]] ) : void

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`data`

`timeout`

`worker_id`

### Return Values